﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;
using Infragistics.Win;
using Infragistics.Win.UltraWinSchedule.DayView;
using System.Diagnostics;

namespace UltraDayViewMultiDays
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            for (int i = 0; i < 5; i++)
            {
                Appointment ap = new Appointment(DateTime.Now.AddHours(i), DateTime.Now.AddHours(i).AddMinutes(10));
                ap.Subject = "Test subject" + i.ToString();
                ap.Description = "Test description" + i.ToString();
                ap.CalendarInfo = ultraCalendarInfo1;
            }
        }

        //Change appearance
        private void ultraButton1_Click_1(object sender, EventArgs e)
        {
            foreach (TimeSlot item in ultraDayView1.TimeSlots)
            {
                if (item.StartTime.TimeOfDay < DateTime.Now.TimeOfDay)
                {
                    item.WorkingHourAppearance.BackColor = Color.Red;
                    item.WorkingHourAppearance.BackColor2 = Color.Yellow;
                    item.WorkingHourAppearance.BackGradientStyle = GradientStyle.ForwardDiagonal;

                    item.NonWorkingHourAppearance.BackColor = Color.BlueViolet;
                    item.NonWorkingHourAppearance.BackColor2 = Color.Yellow;
                    item.NonWorkingHourAppearance.BackGradientStyle = GradientStyle.ForwardDiagonal;
                }
            }
        }

        //Print preview
        private void ultraButton2_Click(object sender, EventArgs e)
        {
          //  this.ultraSchedulePrintDocument1.StartDate = DateTime.Today;
          //  this.ultraSchedulePrintDocument1.StartTime = TimeSpan.FromHours(0);
          //  this.ultraSchedulePrintDocument1.EndDate = DateTime.Today.AddDays(10);

            Infragistics.Win.Printing.UltraPrintPreviewDialog previewDialog =new Infragistics.Win.Printing.UltraPrintPreviewDialog();

            previewDialog.Document = this.ultraSchedulePrintDocument1;
            previewDialog.ShowDialog();


        }
    }

}
